Bug Hunting Session
Bug 103591 - Customize option in Calc freezes
Summary: Customize option in Calc freezes
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2016-10-30 21:41 UTC by Julien Nabet
Modified: 2017-02-18 08:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
bt at random with symbols (29.42 KB, text/plain)
2016-10-30 21:42 UTC, Julien Nabet
Details
Writer starting logs (11.68 KB, text/plain)
2016-10-31 12:11 UTC, Julien Nabet
Details
Calc starting logs (13.87 KB, text/plain)
2016-10-31 12:12 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2016-10-30 21:41:50 UTC
Description:
On pc Debian x86-64 with master sources updated today (66b75b4ba9f0a1c8003fa52c7a29575e374644a2), Customize action freezes in Calc.


Steps to Reproduce:
1. Open Calc
2. Menu Tools/Customize


Actual Results:  
Freezes

Expected Results:
Should open the customize dialog


Reproducible: Always

User Profile Reset: Yes

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Julien Nabet 2016-10-30 21:42:30 UTC
Created attachment 128370 [details]
bt at random with symbols
Comment 2 Julien Nabet 2016-10-30 21:45:17 UTC
Tomaž: Thought you might be interested in this one. It might be linked to https://cgit.freedesktop.org/libreoffice/core/commit/?id=5bb5463efefc4d65e3434b37618cb74a1fe2a598
But perhaps I'm wrong or may missed something.
Comment 3 Tomaz Vajngerl 2016-10-31 08:46:08 UTC
Thanks! I see.. Tango icon theme has some SVG icons.
Comment 4 Julien Nabet 2016-10-31 12:11:23 UTC
Created attachment 128379 [details]
Writer starting logs
Comment 5 Julien Nabet 2016-10-31 12:12:27 UTC
Created attachment 128380 [details]
Calc starting logs
Comment 6 Julien Nabet 2016-10-31 12:13:04 UTC
Thank you Tomaz for taking a look. I attached some console logs.
BTW, I use gtk3 rendering.
Comment 7 Commit Notification 2016-10-31 14:51:15 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3043a3072465c489d3b20991b17d222771305eb

tdf#103591 icon theme name resolving, ui fixes, prioritize png

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Tomaz Vajngerl 2016-10-31 14:55:42 UTC
With that commit I made PNG the priority over SVG so it shouldn't crash anymore..
Comment 9 Julien Nabet 2016-10-31 19:44:17 UTC
Thank you Tomaž, it indeed works after having updated my local repo (which includes now c3043a3072465c489d3b20991b17d222771305eb)